Package org.gradle.tooling.events.configuration

# Interface ProjectConfigurationOperationResult

All Superinterfaces:
  `OperationResult`

All Known Subinterfaces:
  `ProjectConfigurationFailureResult`, `ProjectConfigurationSuccessResult`

public interface ProjectConfigurationOperationResult extends OperationResult
Describes the result of running a project configuration operation.

Since:
  5.1

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static interface`
  `ProjectConfigurationOperationResult.PluginApplicationResult`
  Describes the result of applying a plugin.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<? extends ProjectConfigurationOperationResult.PluginApplicationResult>`
  `getPluginApplicationResults()`
  Returns the results of plugins applied as part of the configuration of this project.

  ### Methods inherited from interface org.gradle.tooling.events.OperationResult

  `getEndTime, getStartTime`

- ## Method Details

  - ### getPluginApplicationResults

    List<? extends ProjectConfigurationOperationResult.PluginApplicationResult> getPluginApplicationResults()
    Returns the results of plugins applied as part of the configuration of this project.

    This may include plugins applied to other projects that are part of the current build, e.g. when using `subprojects {}` blocks in the build script of the root project.

    If a plugin is applied more than once, this list will only contain a single result that describes the summary of all its applications.